{% extends "infra/base.html" %}
{% load i18n %}
{% load staticfiles %}

{% block title %}Asociar Dirección a Nodo{% endblock %}

{% block pagelevelcss %}
<link href="{% static 'css/select2.css'%}" type="text/css" media="all" rel="stylesheet" />
{% endblock %}

{% load staticfiles %}
{% load widget_tweaks %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item"><a href="{% url 'node-list' %}">Nodos</a></li>
    <li class="breadcrumb-item"><a href="{% url 'node-detail' pk=object.pk %}">ID: {{ object.pk }}</a></li>
    <li class="breadcrumb-item active"><a href="#">Asociar Dirección</a></li>
    </ol>
  
  <!-- begin page-header -->
  <h1 class="page-header">Asociar Dirección a Nodo <small>{{ object.code }}</small></h1>
  <!-- end page-header -->

  <ul class="nav nav-pills mb-2">
      <li class="nav-item">
        <a href="{% url 'node-update' pk=object.pk %}"class="nav-link">
        <span class="d-sm-none">General</span>
        <span class="d-sm-block d-none">General</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-gear' pk=object.pk %}" class="nav-link">
        <span class="d-sm-none">Equipos</span>
        <span class="d-sm-block d-none">Equipos</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-gallery' pk=object.pk %}" class="nav-link">
        <span class="d-sm-none">Galería</span>
        <span class="d-sm-block d-none">Galería</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-documents' pk=object.pk %}" class="nav-link">
        <span class="d-sm-none">Documentos</span>
        <span class="d-sm-block d-none">Documentos</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-services' pk=object.pk %}" class="nav-link">
        <span class="d-sm-none">Servicios</span>
        <span class="d-sm-block d-none">Servicios</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-location' pk=object.pk %}" class="nav-link">
        <span class="d-sm-none">Ubicación</span>
        <span class="d-sm-block d-none">Ubicación</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-leases' pk=object.pk %}" class="nav-link">
          <span class="d-sm-none">DHCP leases</span>
          <span class="d-sm-block d-none">DHCP leases</span>
        </a>
        </li>
        {% if object.is_optical_fiber %}
        <li class="nav-item">
          <a href="#" class="nav-link">
          <span class="d-sm-none">Fibra Óptica</span>
          <span class="d-sm-block d-none">Fibra Óptica</span>
          </a>
        </li>
        {% endif %}
        <li class="nav-item">
          <a href="{% url 'node-activities' pk=object.pk %}" class="nav-link">
            <span class="d-sm-none">Actividades</span>
            <span class="d-sm-block d-none">Actividades</span>
          </a>
          </li>
          {% if not object.no_address_binding %}
          <li class="nav-item">
            <a href="#" class="nav-link active">
            <span class="d-sm-none">Asociar Dirección</span>
            <span class="d-sm-block d-none">Asociar Dirección</span>
            </a>
          </li>
      
          {% endif %}
      </ul>
    
      <!-- begin row -->
<div class="row">	  

    <!-- begin col-12 -->
    <div class="col-xl-12 ui-sortable">
        <!-- begin panel -->
        <div class="panel panel-inverse" data-sortable-id="ui-general-1">
        <!-- begin panel-heading -->
        <div class="panel-heading ui-sortable-handle">
          <h4 class="panel-title">Asociar Dirección a Nodo</h4>
          <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body">
		<form id="node-form" class="form-horizontal" method="post">
		  {% csrf_token %}
		  {{ form.media }}

		  {% for field in form %}
                  <div class="form-group row m-b-15">
                    <label for="{{ field.auto_id }}" class="col-form-label col-md-3">{{ field.label }}</label>
                    <div class="col-sm-9">
		      {% render_field field class="form-control m-b-5" %}
  		      {% for error in field.errors %}
            <small class="f-s-12 text-danger">{{ error }}</small>
		      {% endfor %}
                    </div>
                  </div>
                 
		  {% endfor %}
		  <input type="submit" value="Asignar" class="btn btn-primary">
		  <a href="/nodes/{{ object.pk }}/" class="btn btn-default">Cancelar</a>
		</form>
  </div>
  <!-- end panel-body -->
</div>
<!-- end panel -->
</div>
<!-- end col-12 -->


</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->

{% endblock %}
